This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008576 - Crash when trying to remove a package -- [abrt] gnome-software-3.9.2-1.fc20: type_check_is_value_type_U: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
Crash when trying to remove a package -- [abrt] gnome-software-3.9.2-1.fc20: ...
Status: CLOSED DUPLICATE of bug 1012253
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:090bf2b19b02fff100ecdf5d591...
:
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-09-16 11:59 EDT by Zdenek Chmelar
Modified: 2014-03-02 15:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 16:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.26 KB, text/plain)
2013-09-16 11:59 EDT, Zdenek Chmelar
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-16 11:59 EDT, Zdenek Chmelar
no flags Details
File: core_backtrace (28.64 KB, text/plain)
2013-09-16 11:59 EDT, Zdenek Chmelar
no flags Details
File: dso_list (11.25 KB, text/plain)
2013-09-16 11:59 EDT, Zdenek Chmelar
no flags Details
File: environ (1.27 KB, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details
File: maps (55.82 KB, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details
File: open_fds (886 bytes, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-09-16 12:00 EDT, Zdenek Chmelar
no flags Details

  None (edit)
Description Zdenek Chmelar 2013-09-16 11:59:41 EDT
Description of problem:
I tried to remove installed application by clicking on 'Remove' button.

Version-Release number of selected component:
gnome-software-3.9.2-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gnome-software
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4107
 #1 g_type_check_value at gtype.c:4149
 #2 g_param_value_set_default at gparam.c:608
 #3 _gtk_style_context_peek_style_property at gtkstylecontext.c:2388
 #4 gtk_style_context_get_style_valist at gtkstylecontext.c:2536
 #5 gtk_style_context_get_style at gtkstylecontext.c:2574
 #6 gtk_button_get_props at gtkbutton.c:1652
 #7 gtk_button_get_full_border at gtkbutton.c:1708
 #8 gtk_button_get_size at gtkbutton.c:2210
 #9 gtk_button_get_preferred_width at gtkbutton.c:2262
Comment 1 Zdenek Chmelar 2013-09-16 11:59:46 EDT
Created attachment 798339 [details]
File: backtrace
Comment 2 Zdenek Chmelar 2013-09-16 11:59:50 EDT
Created attachment 798340 [details]
File: cgroup
Comment 3 Zdenek Chmelar 2013-09-16 11:59:55 EDT
Created attachment 798341 [details]
File: core_backtrace
Comment 4 Zdenek Chmelar 2013-09-16 11:59:58 EDT
Created attachment 798342 [details]
File: dso_list
Comment 5 Zdenek Chmelar 2013-09-16 12:00:01 EDT
Created attachment 798343 [details]
File: environ
Comment 6 Zdenek Chmelar 2013-09-16 12:00:04 EDT
Created attachment 798344 [details]
File: exploitable
Comment 7 Zdenek Chmelar 2013-09-16 12:00:13 EDT
Created attachment 798345 [details]
File: limits
Comment 8 Zdenek Chmelar 2013-09-16 12:00:18 EDT
Created attachment 798346 [details]
File: maps
Comment 9 Zdenek Chmelar 2013-09-16 12:00:21 EDT
Created attachment 798347 [details]
File: open_fds
Comment 10 Zdenek Chmelar 2013-09-16 12:00:25 EDT
Created attachment 798348 [details]
File: proc_pid_status
Comment 11 Kamil Páral 2013-10-10 08:32:45 EDT
I tried to install or remove software. This crash happens quite often. It seems that the action is performed, and then gnome-software crashes.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gnome-software
kernel:         3.11.3-301.fc20.x86_64
package:        gnome-software-3.10.0-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Kamil Páral 2013-10-10 08:38:51 EDT
I saw this four times in row in a VM. Proposing as a blocker. I can't find relevant criterion.
Comment 13 Mike Ruckman 2013-10-10 19:27:33 EDT
Ran this from the image provided for the GNOME test day. I had no issues installing or uninstalling from gnome-software or yum.
Comment 14 Mike Ruckman 2013-10-10 20:52:32 EDT
Installed to the VM, ran into this multiple times in a row.
Comment 15 lnie 2013-10-11 01:05:43 EDT
 Still saw it in F20 Beta-TC2 (on the VM).
Comment 16 Ryan Lerch 2013-10-11 16:20:42 EDT

*** This bug has been marked as a duplicate of bug 1012253 ***

Note You need to log in before you can comment on or make changes to this bug.